/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.chinaitop.depot.sqr.service.impl;



import com.chinaitop.depot.sqr.mapper.BizSqrEnterpriseMapper;
import com.chinaitop.depot.sqr.model.BizSqrEnterprise;
import com.chinaitop.depot.sqr.service.BizSqrEnterpriseService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
 * 粮食储备-承储资格企业Service接口实现类
 *
 * @author ZeroLiYi
 * @date  2024/04/28 09:56
 **/
@Service
public class BizSqrEnterpriseServiceImpl implements BizSqrEnterpriseService {
    @Resource
    private BizSqrEnterpriseMapper bizSqrEnterpriseMapper;


    @Transactional(rollbackFor = Exception.class)
    @Override
    public int add(BizSqrEnterprise bizSqrEnterprise) {

      return  bizSqrEnterpriseMapper.insert(bizSqrEnterprise);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public int delete(String id) {
        return  bizSqrEnterpriseMapper.delete(id);
    }

    @Override
    public List<BizSqrEnterprise> TreeList() {

        return bizSqrEnterpriseMapper.TreeList();
    }

	@Override
	public BizSqrEnterprise findById(String id) {
        BizSqrEnterprise bizSqrEnterprise= bizSqrEnterpriseMapper.findById(id);
        if(bizSqrEnterprise!=null){
            return bizSqrEnterprise;
        }
		return null;
	}


}
