package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.OrgInfoMapper;
import com.chinaitop.depot.system.mapper.RoleInfoMapper;
import com.chinaitop.depot.system.model.OrgInfo;
import com.chinaitop.depot.system.model.OrgInfoExample;
import com.chinaitop.depot.system.model.RoleInfo;
import com.chinaitop.depot.system.model.RoleInfoExample;
import com.chinaitop.depot.system.model.RoleInfoExample.Criteria;
import com.chinaitop.depot.system.service.RoleInfoService;

import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.Date;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;


@Service
public class RoleInfoServiceImpl implements RoleInfoService {
	
	@Resource
	private RoleInfoMapper RoleInfoMapper;
	
	@Resource
	private OrgInfoMapper orgInfoMapper;
	
	

	@Override
	public List<RoleInfo> queryByExample(RoleInfoExample example) {
		// TODO Auto-generated method stub
		return RoleInfoMapper.selectByExample(example);
	}

	@Override
	public RoleInfo findById(Integer roleId) {
		// TODO Auto-generated method stub
		return RoleInfoMapper.selectByPrimaryKey(roleId);
	}

	@Override
	public void add(RoleInfo roleInfo) {
		// TODO Auto-generated method stub
		RoleInfoMapper.insert(roleInfo);
	}

	@Override
	public void update(RoleInfo roleInfo) {
		// TODO Auto-generated method stub
		RoleInfoMapper.updateByPrimaryKey(roleInfo);
	}

	@Override
	public void remove(Integer roleId) {
		// TODO Auto-generated method stub
		RoleInfoMapper.deleteByPrimaryKey(roleId);
	}

	@Override
	public List<RoleInfo> getRoleTreeByOrg(Map<String,Object> map) {
		return RoleInfoMapper.getRoleTreeByOrg(map);
	}

	@Override
	public boolean validRoleName(String roleName,String roleId) {
		RoleInfoExample example = new RoleInfoExample();
		Criteria criteria = example.createCriteria();
		if(roleId != null && !roleId.isEmpty()) {
			criteria.andRoleIdNotEqualTo(Integer.parseInt(roleId));
		}
		criteria.andRoleNameEqualTo(roleName);
		List<RoleInfo> list = RoleInfoMapper.selectByExample(example);
		if (list.size() > 0) {
			return false;
		}
		return true;
	}

	
	@Override
	public void addBasicRole() {
		// TODO Auto-generated method stub
		//查询所有的粮库
		OrgInfoExample example = new OrgInfoExample();
		com.chinaitop.depot.system.model.OrgInfoExample.Criteria criteria =   example.createCriteria();
		criteria.andOrgClassIdEqualTo(5318);//粮库
		List<OrgInfo> list = orgInfoMapper.selectByExample(example);
		
		// 所有的角色
		/**
		 *  经营人员
			经营部经理
			库领导
			保管员
			仓储人员
			仓储部经理
			系统管理员
			总经理
			经理
			副经理
			会计
			出纳
			秘书
		 */
		List<String> roleList = new LinkedList<String>();
		roleList.add("经营人员");
		roleList.add("经营部经理");
		roleList.add("库领导");
		roleList.add("保管员");
		roleList.add("仓储人员");
		roleList.add("仓储部经理");
		roleList.add("系统管理员");
		roleList.add("总经理");
		roleList.add("经理");
		roleList.add("副经理");
		roleList.add("会计");
		roleList.add("出纳");
		roleList.add("秘书");
		
		
		for(OrgInfo orgInfo:list){
			
			for(String roleName:roleList){
				RoleInfo roleInfo = new RoleInfo();
				roleInfo.setRoleName(roleName);
				roleInfo.setOrgId(orgInfo.getOrgId());
				RoleInfoMapper.insertSelective(roleInfo);
			}
		}
		
	}

}
