package com.chinaitop.depot.system.service.impl;
import com.chinaitop.depot.system.mapper.BizUnitInfoMapper;
import com.chinaitop.depot.system.model.BizUnitInfo;
import com.chinaitop.depot.system.model.BizUnitInfoExample;
import com.chinaitop.depot.system.model.BizUnitInfoExample.Criteria;
import com.chinaitop.depot.system.service.UnitInfoService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.List;

@Service
public class UnitInfoServiceImpl implements UnitInfoService {

	@Resource
    private BizUnitInfoMapper unitInfoMapper;
	
	@Override
	public List<BizUnitInfo> queryByExample(Integer pageNum, Integer pageSize, String unitInfoId, BizUnitInfo unitInfo) {
		// TODO Auto-generated method stub
		    BizUnitInfoExample example = new BizUnitInfoExample();
	        Criteria createCriteria = example.createCriteria();
	        
	        createCriteria.andDeleteFlagEqualTo("NOT_DELETE");
	        
	        if(StringUtils.isNotBlank(unitInfoId)){
	        	createCriteria.andIdEqualTo(unitInfoId);
	        }
	        
	        // 法定代表人
	        if (StringUtils.isNotBlank(unitInfo.getFddbr())){
	            createCriteria.andFddbrLike("%"+unitInfo.getFddbr()+"%");
	        }
	        
	        //单位名称
	        if (StringUtils.isNotBlank(unitInfo.getDwmc())){
	            createCriteria.andDwmcLike("%"+unitInfo.getDwmc()+"%");
	        }
	        
	        example.setOrderByClause("create_time desc");
	        
	       if(pageNum != null && pageSize != null){
		        PageHelper.startPage(pageNum, pageSize);

	       }
	        
	        List<BizUnitInfo> selectByExample = unitInfoMapper.selectByExample(example);
	        return selectByExample;
	}

	@Override
	public List<BizUnitInfo> getTreeList() {
		List<BizUnitInfo> selectByExample = unitInfoMapper.TreeList();
		return selectByExample;
	}


	@Override
	public BizUnitInfo getById(String id) {
		// TODO Auto-generated method stub
		
		return unitInfoMapper.selectByPrimaryKey1(id);
	}

	@Override
	public BizUnitInfo getOrg(String dwdm){

		return unitInfoMapper.getOrg(dwdm);
	}

	
	@Override
	public List<BizUnitInfo> getAllUnitInfo() {
		// TODO Auto-generated method stub
		BizUnitInfoExample example = new BizUnitInfoExample();
        Criteria createCriteria = example.createCriteria();
        createCriteria.andDeleteFlagEqualTo("NOT_DELETE");
		return unitInfoMapper.selectByExampleOriginal(example);
	}



}
