package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.FuncInfoMapper;
import com.chinaitop.depot.system.mapper.RoleFuncMapper;
import com.chinaitop.depot.system.mapper.RoleInfoMapper;
import com.chinaitop.depot.system.mapper.UserInfoMapper;
import com.chinaitop.depot.system.mapper.UserRoleMapper;
import com.chinaitop.depot.system.model.FuncInfo;
import com.chinaitop.depot.system.model.FuncInfoExample;
import com.chinaitop.depot.system.model.RoleFunc;
import com.chinaitop.depot.system.model.RoleFuncExample;
import com.chinaitop.depot.system.model.RoleInfo;
import com.chinaitop.depot.system.model.RoleInfoExample;
import com.chinaitop.depot.system.model.UserInfo;
import com.chinaitop.depot.system.model.UserInfoExample;
import com.chinaitop.depot.system.model.UserRole;
import com.chinaitop.depot.system.model.UserRoleExample;
import com.chinaitop.depot.system.model.RoleInfoExample.Criteria;
import com.chinaitop.depot.system.service.UserRoleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class UserRoleServiceImpl implements UserRoleService {
	
	@Resource
	private UserRoleMapper userRoleMapper;
	
	@Resource
	private UserInfoMapper UserInfoMapper;
	
	@Resource
	private RoleInfoMapper RoleInfoMapper;
	
	@Resource
	private FuncInfoMapper funcInfoMapper;
	
	@Resource
	private RoleFuncMapper roleFuncMapper;

	@Override
	public List<UserRole> queryByExample(UserRoleExample example) {
		// TODO Auto-generated method stub
		return userRoleMapper.selectByExample(example);
	}

	@Override
	public void add(UserRole userRole) {
		// TODO Auto-generated method stub
		userRoleMapper.insertSelective(userRole);
	}

	//根据userId删除中间表信息
	@Override
	public void deleteById(Integer userId) {
		// TODO Auto-generated method stub
		userRoleMapper.deleteById(userId);
	}

	@Override
	public List<Map<String, String>> getUserRoleFeign(Integer userId) {
		// TODO Auto-generated method stub
		return userRoleMapper.getUserRoleFeign(userId);
	}

	@Override
	public void addRoleToUser() {
		// TODO Auto-generated method stub
		
		//查询出 手动增加的 用户的信息
		UserInfoExample example = new UserInfoExample();
		example.createCriteria().andUserIdGreaterThanOrEqualTo(10);
		example.createCriteria().andUserIdLessThanOrEqualTo(72);
		List<UserInfo> userInfoList = UserInfoMapper.selectByExample(example);
		
		
		//所有的权限信息
		FuncInfoExample funcExample = new FuncInfoExample();
		List<FuncInfo> funcInfoList = funcInfoMapper.selectByExample(funcExample);
	  
		for(UserInfo userInfo:userInfoList){
			//查询 改单位下的 管理员 角色的  id
			
			RoleInfoExample example1 = new RoleInfoExample();
			Criteria criteria1 = example1.createCriteria();
			criteria1.andRoleNameEqualTo("系统管理员");
			criteria1.andOrgIdEqualTo(userInfo.getOrgId());
			List<RoleInfo> roleInfoList = RoleInfoMapper.selectByExample(example1);
			
			if(roleInfoList.size()>0){
				/**
				 * 人员加角色
				 */
				//查询 该人员 有没有该角色  有 不处理  无 则增加
				UserRoleExample example2 = new UserRoleExample();
				com.chinaitop.depot.system.model.UserRoleExample.Criteria criteria2 = example2.createCriteria();
				criteria2.andRoleIdEqualTo(roleInfoList.get(0).getRoleId());
				criteria2.andUserIdEqualTo(userInfo.getUserId());
				List<UserRole> userRoleList = userRoleMapper.selectByExample(example2);
				if(userRoleList.size()>0){
				
				}else{
					UserRole userRole = new UserRole();
					userRole.setUserId(userInfo.getUserId());
					userRole.setRoleId(roleInfoList.get(0).getRoleId());
					userRoleMapper.insert(userRole);
				}
				
				/**
				 * 角色 加 权限
				 */
				//查询 该角色 有没有该权限  有 不处理  无 则增加
				
				for(FuncInfo funcInfo:funcInfoList){
					RoleFuncExample example3 = new RoleFuncExample();
					com.chinaitop.depot.system.model.RoleFuncExample.Criteria criteria3 = example3.createCriteria();
					criteria3.andRoleIdEqualTo(roleInfoList.get(0).getRoleId());
					criteria3.andFuncIdEqualTo(funcInfo.getFuncId());
					List<RoleFunc> roleFuncList = roleFuncMapper.selectByExample(example3); 
					if(roleFuncList.size()>0){
						
					}else{
						RoleFunc roleFunc = new RoleFunc();
						roleFunc.setFuncId(funcInfo.getFuncId());
						roleFunc.setRoleId(roleInfoList.get(0).getRoleId());
						roleFuncMapper.insert(roleFunc);
					}
				}
				
			}
		}
		
		
		
		
		
	}

}
